Delete an existing secret entry in the DB. This will also delete the associated secret in the cloud provider's secret manager.
curl --request DELETE \
--url https://api.example.com/secrets/{secret_id}/ \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/secrets/{secret_id}/"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/secrets/{secret_id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"error": ""
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}secrets
Delete an existing secret entry in the DB. This will also delete the associated secret in the cloud provider's secret manager.
Delete an existing secret entry in the database.
Args:
- body: The request body containing the secret id to delete.
- user: The current user, obtained via dependency injection.
- db: The database session, obtained via dependency injection.
Returns:
- The status of the operation.
DELETE
/
secrets
/
{secret_id}
/
Delete an existing secret entry in the DB. This will also delete the associated secret in the cloud provider's secret manager.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Path Parameters
Response
The status of the operation.
A standard reply for many of our calls which has a 'status' ('success/failure') field and an 'error' field for failures.
Attributes:
- status: The status of the operation. Always one of 'success' or 'failure'.
- error: The error message, if any. Empty string if none.